INSTALL(1)

NAVN
install - kopier filer og angiv attributter

SYNOPSIS
install [FLAG]... [-T] KILDE MÅL
install [FLAG]... KILDE... KATALOG
install [FLAG]... -t KATALOG KILDE...
install [FLAG]... -d KATALOG...

BESKRIVELSE

Dette installationsprogram kopierer filer (ofte umiddelbart efter kompilering) til destinationer, du vælger. Hvis du ønsker at hente og installere en brugsklar pakke på et GNU/Linux-system, bør du i stedet anvende et pakkehåndteringsprogram såsom yum(1) eller apt-get(1).

De første tre formater kopierer KILDE til MÅL, eller flere KILDEr til det eksisterende KATALOG, mens adgangsrettigheder og ejer/gruppe indstilles. Med fjerde format oprettes alle komponenter af de givne KATALOGer.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

--backup[=KONTROL]
    lav sikkerhedskopi af hver eksisterende målfil

-b  ligesom --backup, men tager ikke noget argument

-c  (ignoreret)

-C, --compare
    sammenlign indhold for kilde- og destinationsfiler og hvis der ingen ændringer er af indhold, ejerskab og tillader, ændr ikke destinationsfilerne overhovedet

-d, --directory
    behandl alle argumenter som katalognavne; opret alle komponenter i de angivne kataloger.

-D  opret alle indledende komponenter af MÅL undtagen den sidste, eller alle komponenter af --target-directory, og kopiér derefter KILDE til MÅL

--debug
    explain how a file is copied. Implies -v

-g, --group=GRUPPE
    vælg gruppeejerskab, i stedet for processens nuværende gruppe

-m, --mode=TILSTAND
    vælg adgangsrettigheder (som chmod), frem for rwxr-xr-x

-o, --owner=EJER
    vælg ejerskab (kun superbruger)

-p, --preserve-timestamps
    brug samme læse-/ændringstider på MÅL-filerne som der er på KILDE-filerne.

-s, --strip
    fjern symboltabeller

--strip-program=PROGRAM
    program, der bruges til at fjerne binærkode

-S, --suffix=SUFFIKS
    tilsidesæt det sædvanlige sikkerhedskopi-suffiks

-t, --target-directory=MAPPE
    kopier alle KILDE-argumenter til MAPPE

-T, --no-target-directory
    behandl MÅL som en normal fil

-v, --verbose
    print the name of each created file or directory

--preserve-context
    behold SELinux-sikkerhedskontekst

-Z  sæt SELinux-sikkerhedskontekst for destinationsfil og alle oprettede kataloger til standardtypen

--context[=KONT]
    som -Z, eller givet KONT, sæt SELinux- eller SMACK-sikkerhedskontekst til KONT

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

Suffikset for sikkerhedskopiering er "~", med mindre andet er angivet med --suffix eller SIMPLE_BACKUP_SUFFIX. Versionsstyringsmetoden kan vælges med flaget --backup eller vha. miljøvariabelen VERSION_CONTROL. Gyldige værdier er:

none, off
    lav aldrig sikkerhedskopier (selvom --backup er givet)

numbered, t
    lav nummererede sikkerhedskopier

existing, nil
    nummererede, hvis nummererede sikkerhedskopier eksisterer, ellers enkle sikkerhedskopier

simple, never
    lav altid enkle sikkerhedskopier

FORFATTER
Skrevet af David MacKenzie.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2023 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
cp(1)

Fuld dokumentation <https://www.gnu.org/software/coreutils/install>
eller lokalt tilgængelig via: info '(coreutils) install invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.